/*
	voclib.H

	VOC Library Header

	Version 1.0

	Copyright (C) 1994, Geoff Friesen B.Sc.
	All rights reserved.
*/

#define OK			0
#define	ERROR			-1

#define	VOCERR_CP_ERROR		1
#define	VOCERR_FILE_NOT_OPENED	2
#define	VOCERR_FILE_NOT_READ	3
#define	VOCERR_INIT_FAILED      4
#define	VOCERR_INSTALLED	5
#define	VOCERR_INSUF_MEM	6
#define	VOCERR_NOT_INSTALLED	7

int	voc_Continue	(void);
int	voc_DeInit	(void);
int	voc_Error	(void);
int	voc_GetVersion	(int *major, int *minor);
int	voc_Init	(void);
int	voc_Pause	(void);
int	voc_Play	(char *filespec);
int	voc_PlaySample	(char *sample);
int	voc_SetSpeaker	(int onoff);
int	voc_SetStatus	(int *status);